#include <bits/stdc++.h>

int find_number(int MAX)
{
    int i1=0,i2=MAX,mij,rez;
    while(i1<=i2)
    {
        mij=(i1+i2)/2;
        int ok=smaller(mij);
        if(ok==1)
            i1=mij+1;
        else
        {
            rez=mij;
            i2=mij-1;
        }
    }
    return rez;
}
